Update retirement account
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/retirement-accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custodian_name": "<string>",
"account_number": "<string>",
"balance": 123,
"employer_name": "<string>",
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123
}
],
"distribution_options": [],
"rmd_required": true,
"institution_contact_id": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/retirement-accounts/{account_id}"
payload = {
"custodian_name": "<string>",
"account_number": "<string>",
"balance": 123,
"employer_name": "<string>",
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123
}
],
"distribution_options": [],
"rmd_required": True,
"institution_contact_id": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custodian_name: '<string>',
account_number: '<string>',
balance: 123,
employer_name: '<string>',
beneficiaries: [{name: '<string>', relationship: '<string>', percentage_share: 123}],
distribution_options: [],
rmd_required: true,
institution_contact_id: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/retirement-accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9RA01AJ0T33HRYE78AN7RRR",
"case_id": "<string>",
"account_type": "401k",
"custodian_name": "Fidelity Investments",
"account_number": "***9012",
"status": "active",
"balance": 185000,
"employer_name": "Acme Corporation",
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123
}
],
"distribution_options": [],
"rmd_required": true,
"rmd_amount": 123,
"distribution_status": "not_started",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Retirement Accounts
Update retirement account
PATCH
/
cases
/
{case_id}
/
retirement-accounts
/
{account_id}
Update retirement account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
traditional_ira, roth_ira, 401k, 403b, 457, sep_ira, simple_ira, keogh, pension, tsp, military_pension, fegli, inherited_ira, other Available options:
active, inactive, dormant, distributed, rolled_over, closed, unknown Show child attributes
Show child attributes
Available options:
lump_sum, rollover_to_inherited_ira, periodic_payments, five_year_rule, life_expectancy Available options:
pre_tax, post_tax_roth, mixed Available options:
not_started, in_progress, completed, pending_beneficiary_docs Response
Account updated.
Show child attributes
Show child attributes
⌘I

